Update Customer
curl --request PUT \
--url https://api.loopreturns.com/api/v1/customers/{id} \
--header 'Content-Type: application/json' \
--header 'X-Authorization: <api-key>' \
--data '
{
"sales_channel": "<string>",
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.loopreturns.com/api/v1/customers/{id}"
payload = {
"sales_channel": "<string>",
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tags": ["<string>"]
}
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sales_channel: '<string>',
external_id: '<string>',
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
tags: ['<string>']
})
};
fetch('https://api.loopreturns.com/api/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": {
"id": 123,
"external_id": "<string>",
"sales_channel": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tags": [
"<string>"
]
}
}{
"errors": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Customers
Update Customer
Update a customer.
PUT
/
customers
/
{id}
Update Customer
Authorizations
API Scope: "Customers (write)"
Path Parameters
The unique identifier for the customer, created by Loop.
Example:
67329889100573
Body
application/json
If a channel with this name is not already associated with the shop, it will be used to create a new channel.
Maximum string length:
255Example:
"shopify"
The identifier used by an external source to identify the customer.
Required string length:
1 - 64Example:
"71263csss-12uhsdfh-2138dja"
The customer's given name.
Maximum string length:
50Example:
"Edgar"
The customer's surname.
Maximum string length:
50Example:
"Martinez"
The customer's email address.
Maximum string length:
255Example:
"sample@example.com"
The customer's phone number.
Maximum string length:
30Example:
"678-999-8212"
An array of tags used to classify and group customers.
A tag, accepted either as a plain string or as an object with a name.
Required string length:
1 - 255Example:
["FirstPurchase", "ReturnCustomer"]Response
Success
Show child attributes
Show child attributes
⌘I